Customers
Users Subscriptions Retrieve
Retrieve a list of subscriptions in an existing customer.
Authorization
oauth2 users:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: users:read
Path Parameters
id*integer
A unique integer value identifying this User.
Header Parameters
X-29next-API-Version*"unstable"
Default
"unstable"Value in
- "unstable"
Response Body
application/json
curl -X GET "https://example.com/users/0/subscriptions/" \ -H "X-29next-API-Version: unstable"{ "attribution": { "affiliate": "string", "agent": { "email": "user@example.com", "first_name": "string", "id": 0, "last_name": "string" }, "funnel": "string", "gclid": "string", "metadata": null, "subaffiliate1": "string", "subaffiliate2": "string", "subaffiliate3": "string", "subaffiliate4": "string", "subaffiliate5": "string", "utm_campaign": "string", "utm_content": "string", "utm_medium": "string", "utm_source": "string", "utm_term": "string" }, "billing_address": { "country": "string", "first_name": "string", "id": 0, "last_name": "string", "line1": "string", "line2": "string", "line3": "string", "line4": "string", "phone_number": "string", "postcode": "string", "state": "string" }, "cancel_reason": "string", "cancel_reason_other_message": "string", "currency": "string", "date_created": "2019-08-24T14:15:22Z", "frequency": "string", "id": 0, "interval": "day", "interval_count": 1, "is_tax_known": true, "is_test": true, "lines": [ { "id": 0, "metadata": null, "price": "string", "product_id": 0, "product_image": "http://example.com", "product_title": "string", "product_url": "http://example.com", "properties": [ { "key": "string", "value": null } ], "quantity": 0, "sku": "string", "variant_id": 0, "variant_title": "string" } ], "next_renewal_date": "2019-08-24T14:15:22Z", "num_lines": 0, "num_orders": 0, "orders": [ { "billing_cycle": 0, "order_number": "string" } ], "payment_details": { "property1": null, "property2": null }, "payment_method": "string", "shipping_address": { "country": "string", "first_name": "string", "id": 0, "last_name": "string", "line1": "string", "line2": "string", "line3": "string", "line4": "string", "notes": "string", "phone_number": "string", "postcode": "string", "state": "string" }, "shipping_code": "string", "shipping_price": "string", "status": "active", "total": "string", "user": { "accepts_marketing": true, "email": "user@example.com", "first_name": "string", "id": 0, "ip": "string", "language": "string", "last_name": "string", "phone_number": "string", "user_agent": "string" }}